Public Member Functions | Data Fields

# SmallMapWindow::VehicleAndPosition Struct Reference

Save the Vehicle's old position here, so that we don't get glitches when redrawing. More...

## Public Member Functions
| VehicleAndPosition (const Vehicle *v)
## Data Fields
Point | position
VehicleID | vehicle

## Detailed Description

Save the Vehicle's old position here, so that we don't get glitches when redrawing.

The glitches happen when a vehicle occupies a larger area (zoom-in) and a partial redraw happens which only covers part of the vehicle. If the vehicle has moved in the meantime, it looks ugly afterwards.

Definition at line 1842 of file smallmap_gui.cpp.

The documentation for this struct was generated from the following file:

- src/smallmap_gui.cpp